aboutsummaryrefslogtreecommitdiffstats
path: root/ci
diff options
context:
space:
mode:
authorGiulio Fidente <gfidente@redhat.com>2017-08-23 17:52:05 +0200
committerGiulio Fidente <gfidente@redhat.com>2017-08-23 17:48:11 +0000
commitc8daedf9b37b65c2fa502f6240e4aa1ff551cebe (patch)
tree62f6cdb8433a3e827b13b65f97a44aebc09c4590 /ci
parentb88a0fb66cb4ff43411ace4111f6f7395c29f5a4 (diff)
Do not install additional CentOS packages via ceph-ansible
EPEL is required by the Ceph RPM repo maintained at ceph.com but not by the CentOS SIG repo. The other packages should be already installed in the infra image. This change overrides the list of required packages in ceph-ansible so that it does not install epel-release nor additional unneeded packages [1]. 1. https://github.com/ceph/ceph-ansible/blob/master/group_vars/all.yml.sample#L67 Change-Id: I7b6d2794ebfc0df5b3d5ad9de1d1d55740a38ae0 Closes-Bug: #1712599
Diffstat (limited to 'ci')
-rw-r--r--ci/environments/scenario001-multinode-containers.yaml1
1 files changed, 1 insertions, 0 deletions
diff --git a/ci/environments/scenario001-multinode-containers.yaml b/ci/environments/scenario001-multinode-containers.yaml
index edc03d6..fec958b 100644
--- a/ci/environments/scenario001-multinode-containers.yaml
+++ b/ci/environments/scenario001-multinode-containers.yaml
@@ -111,6 +111,7 @@ parameter_defaults:
osd_pool_default_pg_num: 32
osd_max_object_name_len: 256
osd_max_object_namespace_len: 64
+ centos_package_dependencies: []
CephAnsibleSkipTags: ''
#NOTE: These ID's and keys should be regenerated for
# a production deployment. What is here is suitable for